wreport::tests::Fixture Struct Reference

Base class for test fixtures. More...

`#include <tests.h>`

## Public Member Functions

void | test_setup ()
void | test_teardown ()

## Detailed Description

Base class for test fixtures.

A fixture will have a constructor and a destructor to do setup/teardown, and a reset() function to be called inbetween tests.

Fixtures do not need to descend from Fixture: this implementation is provided as a default for tests that do not need one, or as a base for fixtures that do not need reset().

The documentation for this struct was generated from the following file:

- utils/tests.h